<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suif1.texi on 28 April 1999 -->

<TITLE>The SUIF Version 1 Library - Predefined Annotes</TITLE>
<link href="suif1_75.html" rel=Next>
<link href="suif1_73.html" rel=Previous>
<link href="suif1_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_73.html">previous</A>, <A HREF="suif1_75.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC74" HREF="suif1_toc.html#TOC74">Predefined Annotations</A></H2>
<P>
<A NAME="IDX558"></A>
<A NAME="IDX559"></A>

</P>
<P>
The SUIF library automatically defines a number of annotations for its
own use.  Most of these are only used internally to handle reading and
writing SUIF files.  A few of them are visible to users.  Unless
specified otherwise, they are all flat annotations.

</P>

<UL>
<LI><A HREF="suif1_75.html#SEC75">Initial Data Annotes</A>: Annotations for initializing variables.
<LI><A HREF="suif1_76.html#SEC76">Call-By-Ref Annotes</A>: Handling call-by-reference parameters.
<LI><A HREF="suif1_77.html#SEC77">Common Block Annotes</A>: Identifying Fortran <CODE>common</CODE> blocks.
<LI><A HREF="suif1_78.html#SEC78">Miscellaneous Annotes</A>: Other predefined annotations.
</UL>

<P><HR><P>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_73.html">previous</A>, <A HREF="suif1_75.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
</BODY>
</HTML>
